package cn.dmwall.example.dmwallsdkdemo;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Pair;
import android.view.View;
import android.widget.Toast;

import cn.dow.android.DOW;
import cn.dow.android.listener.OnGainPermissionListener;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

    }

    public void doAction(View view){
        //检查多盟
        if(Build.VERSION.SDK_INT>=23){
            //申请权限
            DOW.getPermissonHelper(this).applyPermissions();
            //设置申请权限的监听，监听用户授予权限的状态
            DOW.getPermissonHelper(this).setOnApplyPermissionListener(new OnGainPermissionListener() {
                //所有权限都成功申请
                @Override
                public void onAllPermissionGained() {
                    Toast.makeText(MainActivity.this,"获取了多盟sdk申请的所有权限,可以使用多盟sdk",Toast.LENGTH_SHORT).show();
                    //在这里初始化多盟积分墙，只有进入回调的这个方法，才可以使用多盟积分墙
                    DOW.getInstance(MainActivity.this).init();
                    MainActivity.this.startActivity(new Intent(MainActivity.this,WallActivity.class));
                }
                //用户拒绝了某一个权限，
                @Override
                public void onRefuse(Pair<String, String> permission_msg) {
                    AlertDialog.Builder builder =
                            new AlertDialog.Builder(MainActivity.this).setTitle(permission_msg.first+"权限申请").setMessage(permission_msg.second)
                                    .setPositiveButton("确定", new DialogInterface.OnClickListener() {
                                        @Override
                                        public void onClick(DialogInterface dialog, int which) {
                                            //再次检查申请
                                            DOW.getPermissonHelper(MainActivity.this).applyPermissions();
                                        }
                                    });
                    builder.setCancelable(false);
                    builder.show();
                }
                //用户勾选了不再显示
                @Override
                public void onRefuseForever() {
                    AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this).setTitle("权限申请")
                            .setMessage("请在打开的窗口的权限中开启本应用申请的权限，以正常使用本应用")
                            .setPositiveButton("去设置", new DialogInterface.OnClickListener() {
                                @Override
                                public void onClick(DialogInterface dialog, int which) {
                                    //跳入系统设置页面，提示用户授予权限
                                    Toast.makeText(MainActivity.this,"去设置",Toast.LENGTH_SHORT).show();
                                }
                            }).setNegativeButton("取消", new DialogInterface.OnClickListener() {
                                @Override
                                public void onClick(DialogInterface dialog, int which) {
                                    Toast.makeText(MainActivity.this,"打开设置，允许本应用申请的权限，否则将无法正常使用",Toast.LENGTH_SHORT).show();
                                }
                            });
                    builder.setCancelable(false);
                    builder.show();
                }
                //最终授权失败
                @Override
                public void onGainedFail() {
                    Toast.makeText(MainActivity.this,"没能全部获取多盟sdk申请的所有权限,不可以使用多盟sdk",Toast.LENGTH_SHORT).show();
                }
            });
        }else {
            //不是6.0系统，不用权限适配，直接初始化后可以进入多盟广告
            DOW.getInstance(MainActivity.this).init();
            MainActivity.this.startActivity(new Intent(MainActivity.this,WallActivity.class));
        }
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        DOW.getPermissonHelper(this).onRequestPermissionsResult(requestCode,permissions,grantResults);
    }
}
